Bug 7784 - Updated RH6.1 dials twice for PPP
Updated RH6.1 dials twice for PPP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-13 05:14 EST by Pim Vijfhuizen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 13:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pim Vijfhuizen 1999-12-13 05:14:02 EST
Hello,

I also reported bug 6324 which is related to this.
I've just installed a fresh RH6.1 with these updates:

>   ppp-2.3.10-3.i386.rpm
>   rp3-1.0.1-1.i386.rpm
>   initscripts-4.70-1.i386.rpm

After that I configured the PPP setup for my cable modem, and then it shows
the familiar problem of dialling twice before connecting. Disconnecting and
reconnecting works OK. This is the output in /var/log/messages, with the IP
addresses cleared for security:

Dec 12 19:38:54 localhost ifup-ppp: pppd started for ppp0 on /dev/ttyS0 at
115200
Dec 12 19:38:54 localhost modprobe: can't locate module char-major-108
Dec 12 19:38:54 localhost kernel: CSLIP: code copyright 1989 Regents of the
University of California
Dec 12 19:38:54 localhost kernel: PPP: version 2.3.7 (demand dialling)
Dec 12 19:38:54 localhost kernel: PPP line discipline registered.
Dec 12 19:38:54 localhost kernel: registered device ppp0
Dec 12 19:38:54 localhost pppd[663]: pppd 2.3.10 started by root, uid 0
Dec 12 19:39:41 localhost pppd[663]: Connect script failed
Dec 12 19:39:42 localhost pppd[663]: Exit.
Dec 12 19:39:42 localhost ifup-ppp: pppd started for ppp0 on /dev/ttyS0 at
115200
Dec 12 19:39:42 localhost modprobe: can't locate module char-major-108
Dec 12 19:39:42 localhost pppd[677]: pppd 2.3.10 started by root, uid 0
Dec 12 19:39:43 localhost pppd[677]: Serial connection established.
Dec 12 19:39:43 localhost pppd[677]: Using interface ppp0
Dec 12 19:39:43 localhost pppd[677]: Connect: ppp0 <--> /dev/ttyS0
Dec 12 19:39:45 localhost kernel: PPP BSD Compression module registered
Dec 12 19:39:45 localhost kernel: PPP Deflate Compression module registered
Dec 12 19:39:45 localhost pppd[677]: local  IP address xxx.xx.xx.xx
Dec 12 19:39:45 localhost pppd[677]: remote IP address yyy.yy.yy.yy
Dec 12 19:39:45 localhost pppd[677]: primary   DNS address yyy.yy.yy.yy
Dec 12 19:39:45 localhost pppd[677]: secondary DNS address zzz.zz.zz.zz

Thanks for your support, kind regards,
Pim Vijfhuizen
vijfhuizen@nl.ibm.com
Comment 1 Bill Nottingham 1999-12-21 14:16:59 EST
Can you turn on debug mode (add debug to /etc/ppp/options),
so we can get a better idea where it's failing?
Comment 2 Pim Vijfhuizen 1999-12-23 05:21:59 EST
Here is the requested debug output. I hope this helps.

Dec 22 22:59:23 linuxbox ifup-ppp: pppd started for ppp0 on /dev/ttyS0 at 115200
Dec 22 22:59:23 linuxbox modprobe: can't locate module char-major-108
Dec 22 22:59:23 linuxbox kernel: CSLIP: code copyright 1989 Regents of the
University of California
Dec 22 22:59:23 linuxbox kernel: PPP: version 2.3.7 (demand dialling)
Dec 22 22:59:23 linuxbox kernel: PPP line discipline registered.
Dec 22 22:59:23 linuxbox kernel: registered device ppp0
Dec 22 22:59:23 linuxbox pppd[561]: pppd 2.3.10 started by root, uid 0
Dec 22 22:59:24 linuxbox chat[574]: send (ATZ^M)
Dec 22 22:59:24 linuxbox chat[574]: expect (OK)
Dec 22 23:00:09 linuxbox chat[574]: alarm
Dec 22 23:00:09 linuxbox chat[574]: Failed
Dec 22 23:00:09 linuxbox pppd[561]: Connect script failed
Dec 22 23:00:10 linuxbox pppd[561]: Exit.
Dec 22 23:00:10 linuxbox modprobe: can't locate module char-major-108
Dec 22 23:00:10 linuxbox ifup-ppp: pppd started for ppp0 on /dev/ttyS0 at 115200
Dec 22 23:00:10 linuxbox pppd[577]: pppd 2.3.10 started by root, uid 0
Dec 22 23:00:11 linuxbox chat[587]: send (ATZ^M)
Dec 22 23:00:11 linuxbox chat[587]: expect (OK)
Dec 22 23:00:11 linuxbox chat[587]: ^M
Dec 22 23:00:11 linuxbox chat[587]: NO CARRIER^M
Dec 22 23:00:11 linuxbox chat[587]: ^M
Dec 22 23:00:11 linuxbox chat[587]: ATZ^M
Dec 22 23:00:11 linuxbox chat[587]: OK
Dec 22 23:00:11 linuxbox chat[587]:  -- got it
Dec 22 23:00:11 linuxbox chat[587]: send (ATDT4^M)
Dec 22 23:00:11 linuxbox chat[587]: expect (CONNECT)
Dec 22 23:00:11 linuxbox chat[587]: ^M
Dec 22 23:00:11 linuxbox chat[587]: ATDT4^M
Dec 22 23:00:11 linuxbox chat[587]: CONNECT
Dec 22 23:00:11 linuxbox chat[587]:  -- got it
Dec 22 23:00:11 linuxbox chat[587]: send (^M)
Dec 22 23:00:11 linuxbox chat[587]: timeout set to 5 seconds
Dec 22 23:00:11 linuxbox chat[587]: expect (~)
Dec 22 23:00:11 linuxbox chat[587]: ^M
Dec 22 23:00:12 linuxbox chat[587]: ~
Dec 22 23:00:12 linuxbox chat[587]:  -- got it
Dec 22 23:00:12 linuxbox chat[587]: send (^M)
Dec 22 23:00:12 linuxbox pppd[577]: Serial connection established.
Dec 22 23:00:12 linuxbox pppd[577]: Using interface ppp0
Dec 22 23:00:12 linuxbox pppd[577]: Connect: ppp0 <--> /dev/ttyS0
Dec 22 23:00:16 linuxbox kernel: PPP BSD Compression module registered
Dec 22 23:00:17 linuxbox kernel: PPP Deflate Compression module registered
Dec 22 23:00:17 linuxbox pppd[577]: local  IP address aaa.aa.aa.aaa
Dec 22 23:00:17 linuxbox pppd[577]: remote IP address bbb.bb.bb.bbb
Dec 22 23:00:17 linuxbox pppd[577]: primary   DNS address ccc.cc.cc.cc
Dec 22 23:00:17 linuxbox pppd[577]: secondary DNS address ddd.dd.dd.dd

Kind regards, Pim Vijfhuizen
vijfhuizen@nl.ibm.com
Comment 3 Pim Vijfhuizen 2000-02-02 09:45:59 EST
I've made a workaround by inserting a "TIMEOUT 5" statement in the CHAT script,
just before the ATZ modem init string. This way the script doesn't wait 45
seconds before failing, but only 5. The redial starts sooner and succeeds. This
eliminates 40 seconds of annoying wait time.

Did I do something wrong in reporting? I believe this bug wasn't high on the
priority list.
Comment 4 Bill Nottingham 2000-02-16 16:16:59 EST
Does the ppp in rawhide/6.2beta work any better? I believe
there was *another* case where it would get itself killed.
Comment 5 Glen Foster 2001-08-01 13:43:01 EDT
Closing at customer's request.
Comment 6 prago 2001-08-01 13:50:31 EDT
This defect has been resolved in a newer release.

Note You need to log in before you can comment on or make changes to this bug.